//using System.Runtime.InteropServices;

namespace ExpTen
{
  /// <summary>
  /// This struct is used to read binary from a text file EXPTEN.TXT as binary.
  /// This file is produced by EXPTEN.EXE and contains hexadecimal strings of
  /// length 1020 representing the powers of 10 from 1 to 1227 which, if unmodified,
  /// can be read as straight binary by a block read file function.
  /// </summary>
  [StructLayout(LayoutKind.Explicit, Size=1032, CharSet=CharSet.Ansi)]
  public struct EXPrec
  {
    [FieldOffset(000)]
    public byte[] Hdr;  //   3 bytes  ( <"10E"> )
    [FieldOffset(003)]
    public byte[] ExpV; //   4 bytes  ( <spaces><[ string-exponent <= "9999" ]> )
    [FieldOffset(007)]
    public byte[] Fill; //   3 bytes  ( <":"><" "><" "> )
    [FieldOffset(010)]
    public byte[] Vhex; //1020 bytes
    [FieldOffset(1030)]
    public byte[] EndR; //   2 bytes  ( <CR><LF> )
  }


}